# jrjModelRegistry

**jrjModelRegistry** is a lightweight and flexible Python library for saving, versioning, and serving machine learning models.

- 📦 Store models in **S3-compatible storage** with **ZIP encryption**
- 🗃️ Track metadata in **MongoDB**
- ⚡ Dynamically serve models using built-in **FastAPI routes and dashboard**
- ✅ Works with any Python object (models, transformers, even DataFrames)

> Simple enough for small projects, powerful enough for production.

---

📖 [Read the Docs](https://jrjmodelregistry.super.site)
📦 [View on PyPI](https://pypi.org/project/jrjModelRegistry/)
⭐ [Star on GitHub](https://github.com/JRJSolutions/jrjModelRegistry)


[![Docs](https://img.shields.io/badge/docs-available-brightgreen)](https://jrjmodelregistry.super.site)

## 📚 Documentation

Looking for usage examples, API details, and setup guides?

👉 **Full documentation is available here**:
[https://jrjmodelregistry.super.site](https://jrjmodelregistry.super.site)





